<div class="nav-bar">
    <div class="bar d-flex justify-content-between d-flex align-items-center">
        <div class=" d-flex align-items-center ">

            <button class="menu" mat-icon-button aria-label="Example icon button with a vertical three dot icon"
                (click)="onMenu()">
                <span class="material-symbols-outlined"> menu </span>
            </button>


            <div>
                <img class="logo" src="../../../assets/image/logo.png">
            </div>
            <div>
                <strong><small> {{name}}</small></strong><br>
                <strong class="sub-title"> <small>{{nameEN}}</small></strong>
            </div>
        </div>

        <div class="profile">
            <!-- <img class="logo" src="../../../assets/image/logo.png"> -->
        </div>
    </div>

    <div *ngIf="isMenu" class="menu-box">
        <div class="menu-hover" *ngFor="let item of menuList">
            <div class="menu-item mt-3 pointer" [ngClass]="{'menu-item-select':item.isSelect}"
                (click)="onSelectMenu(item)">
                <span class="material-symbols-outlined" style="vertical-align: middle;">
                    {{item.icon}}
                </span>
                <small> {{item.menu}}</small><br>

            </div>
            <div class="menu-item mt-3 pointer" *ngFor="let sub of item.sub" style="margin-left: 30px;"
                [ngClass]="{'menu-item-select':sub.isSelect}" (click)="onSelectMenu(sub)">
                <span class="material-symbols-outlined" style="vertical-align: middle;">
                    {{sub.icon}}
                </span>
                <small> {{sub.menu}}</small><br>
            </div>
        </div>
    </div>

    <div class="nav-body d-flex">
        <ng-content select="[main]"></ng-content>
    </div>


    <div class="noti pointer" *ngIf="isNoti" (click)="onSelectNoti()">
        <div class="d-flex justify-content-between">
            <h5>เหตุการณ์ใหม่</h5>
            <span class="material-symbols-outlined pointer">
                close
            </span>
        </div>

        <small class="key">ชื่อเหตุการณ์ </small> <strong><small>{{noti.name}} </small></strong><br>
        <small class="key">สถานที่ </small> <strong><small>{{noti.location}}</small></strong><br>
        <small class="key">วันเวลาที่เกิดเหตุ </small><strong><small>{{noti.incidentDateTime | dateEvent}}
                {{noti.incidentDateTime | timeEvent}}
                น</small></strong><br>
        <small class="key">สถานะ </small><strong>
            <span class="icon-status material-symbols-outlined" [ngClass]="{'icon-close': noti.statusClosed,}">
                radio_button_checked
            </span>
            <small>{{!noti.statusClosed ? 'กำลังดำเนินการ':"ดำเนินการเสร็จสิ้น"}}</small>
        </strong><br>

    </div>

</div>